POST api/medistreamapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| cleanroom_id | globally unique identifier |
Required |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| serial_number | string |
Required |
|
| active | boolean |
Required |
|
| door_status | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "156e76c3-13ea-4ce8-b765-d46f899edb03",
"cleanroom_id": "06135c10-9efd-4582-9c8b-d1963bd7ddd4",
"local_id": 1,
"name": "sample string 3",
"serial_number": "sample string 4",
"active": true,
"door_status": true
}
application/xml, text/xml
Sample:
<medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <cleanroom_id>06135c10-9efd-4582-9c8b-d1963bd7ddd4</cleanroom_id> <door_status>true</door_status> <id>156e76c3-13ea-4ce8-b765-d46f899edb03</id> <local_id>1</local_id> <name>sample string 3</name> <serial_number>sample string 4</serial_number> </medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"91876f9d-7cac-454d-9f9c-8239f4621a1b"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">91876f9d-7cac-454d-9f9c-8239f4621a1b</guid>